Get the connection info by file description.

- « Swoole\Server::confirm

- Swoole\Server::connection_list »

- PHP Manual
- Swoole\Server
- Get the connection info by file description.

# Swoole\Server::connection_info

(PECL swoole >= 1.9.0)

Swoole\Server::connection_info — Get the connection info by file description.

### Description

public Swoole\Server::connection_info(int `$fd`, int `$reactor_id` = ?): array

### Parameters

`fd`

`reactor_id`

### Return Values